import { copyNode } from 'myst-common';
import { remove } from 'unist-util-remove';
/**
 * Move footnotes and sections from back to body
 *
 * Currently we only pass body to JATS convert plugin, so we move parts of
 * the backmatter that need parsing to body.
 */
export function backToBodyTransform(jats) {
    var _a, _b;
    if (!jats.back)
        return;
    const backNodes = (_a = jats.back.children) === null || _a === void 0 ? void 0 : _a.filter((node) => {
        return ['fn-group', 'sec', 'ack'].includes(node.type);
    });
    if (!((_b = jats.body) === null || _b === void 0 ? void 0 : _b.children) || backNodes.length === 0)
        return;
    jats.body.children.push({ type: 'thematicBreak' }, ...copyNode(backNodes));
    backNodes.forEach((node) => {
        node.type = '__delete__';
    });
    remove(jats.back, '__delete__');
}
